Skip to content

Creates one 30-minute one-time Agent enrollment code.

POST
/api/workspace/file-protection/agents/enrollments
curl --request POST \
--url https://example.com/api/workspace/file-protection/agents/enrollments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "OperatingSystem": 0 }'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Creates one 30-minute one-time enrollment code.

object
OperatingSystem

Operating systems supported by the universal File Protection tools.

integer format: int32
Allowed values: 0 1

OK

Media typeapplication/json
object
Data

One-time Agent enrollment delivery.

object
EnrollmentId
string
nullable
Code
string
nullable
ExpiresAtUtc
string format: date-time
WindowsDownloadUrl
string format: uri
nullable
LinuxDownloadUrl
string format: uri
nullable
Sources
Array<object>
nullable

OS-specific Agent mapping example for one existing logical source.

object
SourceId
string
nullable
DisplayName
string
nullable
ConfigurationSnippet
string
nullable
TargetAgentId

Existing Agent identity replaced by this enrollment, absent for a new connection.

string
nullable
AgentRowVersion

Current lifecycle version after replacing the connection.

string format: uuid
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}